## org.apache.http.client.protocol
Class RequestClientConnControl

    java.lang.Object
      org.apache.http.client.protocol.RequestClientConnControl

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestClientConnControl

extends Object
implements HttpRequestInterceptor

This protocol interceptor is responsible for adding `Connection` or `Proxy-Connection` headers to the outgoing requests, which is essential for managing persistence of `HTTP/1.0` connections.

Since:
  4.0

Constructor Summary
`RequestClientConnControl()`

Method Summary
`void` `process(HttpRequest request, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestClientConnControl

    public RequestClientConnControl()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Throws:
    `HttpException`
    `IOException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.